You can store Horizon events on an SQL database or an Oracle database. For the Oracle and SQL database versions that View supports, see the installation document for your Horizon version.

For Horizon environments that use an Oracle events database, you might need to update the ODAC client libraries on the server where the vRealize Operations for Horizon broker agent is installed.

To update a 64-bit system, go to http://www.oracle.com/technetwork/database/windows/downloads/index-090165.html and download the ZIP file from the 64-bit ODAC 11.2 Release 4 (11.2.0.3.0) Xcopy for Windows x64 link and follow the instructions in the readme.html file included in the ZIP file.

Note:

The broker agent does not support 32-bit systems.

Troubleshooting

When connecting the vRealize Operations for Horizon broker agent to the Oracle events database, you might encounter this error:

Event DB username and password cannot be validated. System.Data.OracleClient requires Oracle client software version 8.1.7 or greater. An Error has Occurred. Operation Validate DB Credentials has Failed.

To solve this issue, install Oracle Instant Client to the broker agent environment:

  1. Download the appropriate Instant Client packages for your platform. http://www.oracle.com/technetwork/topics/winx64soft-089540.html?ssSourceSiteId=otncn. All installations require the Basic or Basic Light package.

  2. Unzip the packages into a single directory such as C:\oracle\instantclient_12_2.

  3. Add this directory to the PATH environment variable. If you have multiple versions of Oracle libraries installed, make sure the new directory occurs first in the path.

  4. Start your application.